<?php
/*
  $Id: make_an_offer.php,v 1.00 2005/03/15

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_MAKE_AN_OFFER);

  // add customer details (1/1) paulm 2004/04/02
//  if (tep_session_is_registered('customer_id'))
//  {
//    $name = $customer_first_name . ' ' . $customer_last_name;
//    $email = $customer_email_address;
//  }
  // end add customer details

  if (!isset($HTTP_GET_VARS['products_id'])) {
	$productid = $originalproductid;
  } else {
	$productid = $HTTP_GET_VARS['products_id'];
  }

  // Get the product info
  $product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$productid . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_info = tep_db_fetch_array($product_info_query);
  $rate = $currencies->currencies[$currency]['value'];

  if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
//    $products_price = '<s>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</s> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';

    $products_price = $currencies->display_price($productid,$new_price, tep_get_tax_rate($product_info['products_tax_class_id']));

	// Price without currency symbols
	$products_price_clean = tep_round(tep_add_tax($new_price * $rate,tep_get_tax_rate($product_info['products_tax_class_id'])),$currencies->currencies[$currency]['decimal_places']);

  } else {
    $products_price = $currencies->display_price($productid,$product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));

	// Price without currency symbols
	$products_price_clean = tep_round(tep_add_tax($product_info['products_price'] * $rate,tep_get_tax_rate($product_info['products_tax_class_id'])),$currencies->currencies[$currency]['decimal_places']);

  }

  $error = false;
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'send')) {
    $name = tep_db_prepare_input($HTTP_POST_VARS['name']);
    $email_address = tep_db_prepare_input($HTTP_POST_VARS['email']);
    $remarks = tep_db_prepare_input($HTTP_POST_VARS['remarks']);
    $newprice = tep_db_prepare_input($HTTP_POST_VARS['newprice']);
    $originalproductid = tep_db_prepare_input($HTTP_POST_VARS['originalproductid']);
    $originalprice = tep_db_prepare_input($HTTP_POST_VARS['originalprice']);
    $subject = tep_db_prepare_input($HTTP_POST_VARS['subject']);
    $subject2 = tep_db_prepare_input($HTTP_POST_VARS['subject2']);

    if (tep_validate_email($email_address)) {

		// Calculate the lowest offer accepted depending on the percentage setting
		$maxlowoffer = tep_round(($originalprice - ($originalprice * (MAO_MAX_OFFER_PERCENTAGE_ALLOWED/100))),$currencies->currencies[$currency]['decimal_places']);

		// Manipulate the offer price so it always is in US notation before compare
		// This must be done because the INPUT field looses the decimal values
		// when using a comma for decimal seperator
		// Underneath also strips all points and commas from the value typed by
		// the customer to prevent all kind of problems with the calculation

		// First split the $newprice in a part without and with decimal places
		// Check if a decimal point or comma is used at all
		if (substr($newprice,strlen($newprice)-3,1) == '.' || substr($newprice,strlen($newprice)-3,1) == ',') {
			$newprice_before = substr($newprice,0,strlen($newprice)-3);
			$newprice_after = substr($newprice,strlen($newprice)-2);
		} else {
			$newprice_before = $newprice;
			$newprice_after = '00';
		}

		// Remove all commas and points for the non-decimal value given
		$newprice_before = str_replace('.','',$newprice_before);
		$newprice_before = str_replace(',','',$newprice_before);

		// Put all back together again
		$newprice = tep_round($newprice_before . '.' . $newprice_after,$currencies->currencies[$currency]['decimal_places']);

		if ($maxlowoffer <= $newprice) {

			// (Re)create the right format for the email
			$newprice = number_format(tep_round($newprice,$currencies->currencies[$currency]['decimal_places']), $currencies->currencies[$currency]['decimal_places'], $currencies->currencies[$currency]['decimal_point'], $currencies->currencies[$currency]['thousands_point']);


			$subject .= ' ' . $currencies->currencies[$currency]['symbol_left'] .  $newprice . ' ' . $currencies->currencies[$currency]['symbol_right'] . '\n' . EMAIL_DIVIDER . '\n\n' . EMAIL_USER_REMARKS . '\n\n';
			$subject = str_replace('\n',chr(13),$subject);

			$subject2 .=  ' ' . $currencies->currencies[$currency]['symbol_left'] . $newprice . ' ' . $currencies->currencies[$currency]['symbol_right'] . '\n\n' . EMAIL_DIVIDER . '\n' . EMAIL_USER_REMARKS . ' ' . $name . '\n' . EMAIL_DIVIDER . '\n';
			$subject2 = str_replace('\n',chr(13),$subject2);

			tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT_ADMIN, $subject2 . $remarks, $name, $email_address);

			if ($HTTP_POST_VARS['sendemail'] == true) {
			  tep_mail($name, $email_address, EMAIL_SUBJECT_CUSTOMER, $subject . $remarks, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
			}

			tep_redirect(tep_href_link(FILENAME_MAKE_AN_OFFER, 'action=success'));
	    } else {
	    	$error = true;
			// (Re)create the right format for display
			$newprice = number_format(tep_round($newprice,$currencies->currencies[$currency]['decimal_places']), $currencies->currencies[$currency]['decimal_places'], $currencies->currencies[$currency]['decimal_point'], $currencies->currencies[$currency]['thousands_point']);

			$messageStack->add('lowoffer', ENTRY_LOW_OFFER_CHECK_ERROR);
	    }
    } else {
		$error = true;

		$messageStack->add('contact', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }
  }


  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_MAKE_AN_OFFER));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><?php echo tep_draw_form('make_an_offer', tep_href_link(FILENAME_MAKE_AN_OFFER, 'action=send')); ?><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
<?php
  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'success')) {
?>
            <td class="pageHeading"><?php echo HEADING_TITLE_SUCCESS; ?></td>
            <td class="pageHeading" align="right"><?php // echo tep_image(DIR_WS_IMAGES . 'table_background_contact_us.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
  <?php } else { ?>
            <td class="pageHeading"><?php echo HEADING_TITLE . '<br><SPAN class="MakeAnOffer">' . $product_info['products_name'] . ' (' . $products_price . ')' . '</SPAN>'; ?></td>
            <td class="pageHeading" align="right"><?php // echo tep_image(DIR_WS_IMAGES . 'table_background_contact_us.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
  <?php  } ?>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>

<?php
  if ($messageStack->size('lowoffer') > 0) {
?>
      <tr>
        <td><?php echo $messageStack->output('lowoffer'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  }
?>

<?php
  if ($messageStack->size('contact') > 0) {
?>
      <tr>
        <td><?php echo $messageStack->output('contact'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  }

  if (isset($HTTP_GET_VARS['action']) && ($HTTP_GET_VARS['action'] == 'success')) {
?>
      <tr>
        <td class="main" align="center"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_man_on_board.gif', HEADING_TITLE_SUCCESS, '0', '0', 'align="left"') . TEXT_SUCCESS; ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>

<?php
   $back = sizeof($navigation->path)-2;
   if (isset($navigation->path[$back])) {
?>
               <td class="main" align="right"><?php echo '<a href="' . tep_href_link($navigation->path[$back]['page'], tep_array_to_string($navigation->path[$back]['get'], array('action')), $navigation->path[$back]['mode']) . '">' . tep_image_button('button_back.gif', IMAGE_BUTTON_BACK) . '</a>'; ?></td>
<?php } else {?>
               <td class="main" align="right"><a href="javascript:history.go(-1)"><?php echo tep_image_button('button_back.gif', IMAGE_BUTTON_BACK); ?></a></td>
<?php
   }
?>

<!--                <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td> -->

                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  } else {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td class="main"><?php echo ENTRY_NAME; ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo tep_draw_input_field('name'); ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo ENTRY_EMAIL; ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo tep_draw_input_field('email'); ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo ENTRY_NEW_PRICE; ?></td>
			  </tr>
			  <tr>
                <td class="main">
				<input name='newprice' type='text' value='<?php echo tep_round($newprice,$currencies->currencies[$currency]['decimal_places']); ?>' MAXLENGTH='15' SIZE='10'><?php echo ' ' . $currency; ?>
                </td>
              </tr>
              <tr>
                <td class="main"><?php echo ENTRY_REMARKS; ?></td>
              </tr>
              <tr>
                <td><?php echo tep_draw_textarea_field('remarks', 'soft', 25, 5); ?></td>
              </tr>
              <tr>
                <table border="0" width="75%" cellspacing="1" cellpadding="2" class="infoBoxContents">
                <tr>
                <td class="main" align="left" width="90%"><?php echo TEXT_SEND_EMAIL_CUSTOMER; ?></td>
                <td align="left"><?php echo tep_draw_checkbox_field('sendemail', 'true'); ?></td>
                </tr>
              </tr>
              <tr>
                <td>
                <?php echo tep_draw_hidden_field('subject', EMAIL_SHOP_REMARKS . '\n\n' . EMAIL_DIVIDER . '\n' . PRODUCT_INFORMATION . '\n' . EMAIL_DIVIDER . '\n'. $product_info['products_name'] . ' [' . $product_info['products_model'] . ']' . '\n\n' . PRODUCT_ORIGINAL_PRICE . $products_price . '\n' . PRODUCT_NEW_PRICE); ?><br>

                <?php echo tep_draw_hidden_field('subject2', EMAIL_DIVIDER . '\n'. PRODUCT_INFORMATION . '\n'. EMAIL_DIVIDER . '\n'. $product_info['products_name'] . ' [' . $product_info['products_model'] . ']' . '\n\n' . PRODUCT_ORIGINAL_PRICE . ' ' . $products_price . '\n' . PRODUCT_NEW_PRICE);

                echo tep_draw_hidden_field('originalprice',$products_price_clean);
                echo tep_draw_hidden_field('originalproductid',$product_info['products_id']);
                ?>
                </td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
<?php
					 	$back = sizeof($navigation->path)-2;
						if (isset($navigation->path[$back])) {
					?>
					<td class="main" align="left"><?php echo '<a href="' .
					tep_href_link($navigation->path[$back]['page'],
					tep_array_to_string($navigation->path[$back]['get'], array('action')),
					$navigation->path[$back]['mode']) . '">'. tep_image_button('button_back.gif',
					IMAGE_BUTTON_BACK) . '</a>'; ?>
					</td>
					<?php
					}
					?>
</td>

                <td align="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table></form></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
